﻿@model ARGNSMDFootwearDetails

@{
    string mTrId = "TR_FootwearDetail" + Model.LineId;
    string mFDetail_HH = "FDetail_HH" + Model.LineId;
    string mFDetail_BH = "FDetail_BH" + Model.LineId;
    string mFDetail_BW = "FDetail_BW" + Model.LineId;
    string mFDetail_Strap = "FDetail_Strap" + Model.LineId;
    string mFDetail_Seams = "FDetail_Seams" + Model.LineId;
    string mFDetail_Others = "FDetail_Others" + Model.LineId;
    string mIsNew = "FootwearDetail_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mFDetail_HH' class="form-control" value='@Model.U_HHeight' onchange="LineWasChanged('@Model.LineId','FootwearDetail');" /></td>
        <td><input id='@mFDetail_BH' class="form-control" value='@Model.U_BHeight' onchange="LineWasChanged('@Model.LineId','FootwearDetail');" /></td>
        <td><input id='@mFDetail_BW' class="form-control" value='@Model.U_BWidth' onchange="LineWasChanged('@Model.LineId','FootwearDetail');" /></td>
        <td><input id='@mFDetail_Strap' class="form-control" value='@Model.U_Strap' onchange="LineWasChanged('@Model.LineId','FootwearDetail');" /></td>
        <td><input id='@mFDetail_Seams' class="form-control" value='@Model.U_Seams' onchange="LineWasChanged('@Model.LineId','FootwearDetail');" /></td>
        <td><input id='@mFDetail_Others' class="form-control" value='@Model.U_Others' onchange="LineWasChanged('@Model.LineId','FootwearDetail');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_Detail_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_Detail_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','FootwearDetail');" })
                        }
                        else
                        {
                            <input id='LINEUDF_Detail_@DictRow.UDFName@Model.LineId' name="LINEUDF_Detail_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','FootwearDetail');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}